## org.red5.server.stream
Class DefaultStreamFilenameGenerator

    java.lang.Object
      org.red5.server.stream.DefaultStreamFilenameGenerator

All Implemented Interfaces:
  IScopeService, IStreamFilenameGenerator

    public class DefaultStreamFilenameGenerator

extends Object
implements IStreamFilenameGenerator

Default filename generator for streams. The files will be stored in a directory "streams" in the application folder. Option for changing directory streams are saved to is investigated as of 0.6RC1.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (bauch@struktur.de)

Nested Class Summary

Nested classes/interfaces inherited from interface org.red5.server.api.stream.IStreamFilenameGenerator
`IStreamFilenameGenerator.GenerationType`

Field Summary

Fields inherited from interface org.red5.server.api.stream.IStreamFilenameGenerator
`BEAN_NAME`

Constructor Summary
`DefaultStreamFilenameGenerator()`

Method Summary
`String` `generateFilename(IScope scope, String name, IStreamFilenameGenerator.GenerationType type)` Generate a filename without an extension.
`String` `generateFilename(IScope scope, String name, String extension, IStreamFilenameGenerator.GenerationType type)` Generate a filename with an extension.
`boolean` `resolvesToAbsolutePath()` The default filenames are relative to the scope path, so always return `false`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultStreamFilenameGenerator

    public DefaultStreamFilenameGenerator()

Method Detail

### generateFilename

    public String generateFilename(IScope scope,
                                   String name,
                                   IStreamFilenameGenerator.GenerationType type)

  Generate a filename without an extension.

  Specified by:
    `generateFilename` in interface `IStreamFilenameGenerator`
  Parameters:
    `scope` - Scope to use
    `name` - Stream name
    `type` - Generation strategy (either playback or record)
  Returns:
    Full filename

### generateFilename

    public String generateFilename(IScope scope,
                                   String name,
                                   String extension,
                                   IStreamFilenameGenerator.GenerationType type)

  Generate a filename with an extension.

  Specified by:
    `generateFilename` in interface `IStreamFilenameGenerator`
  Parameters:
    `scope` - Scope to use
    `name` - Stream filename
    `extension` - Extension
    `type` - Generation strategy (either playback or record)
  Returns:
    Full filename with extension

### resolvesToAbsolutePath

    public boolean resolvesToAbsolutePath()

  The default filenames are relative to the scope path, so always return `false`.

  Specified by:
    `resolvesToAbsolutePath` in interface `IStreamFilenameGenerator`
  Returns:
    always `false`

Copyright © 2006-2010 The Red5 Project